# GET /api/v1/fixed-assets/categories

> List asset categories

- **Tag:** fixed-assets
- **Operation ID:** `list_asset_categories_api_v1_fixed_assets_categories_get`

## Description

List all asset categories.

## Authentication

Bearer token in `Authorization` header.
Required header: `x-business-id: <business uuid>`.

## Responses

### 200 — Successful Response

Schema: `AssetCategoryListResponse`

- `categories` (array · AssetCategoryResponse) → `AssetCategoryResponse` — Asset categories
  - `name` (string · required) — Category name
  - `description` (string) — Category description
  - `default_useful_life_months` (integer) — Default useful life in months for assets in this category
  - `default_depreciation_method` (DepreciationMethod) → `DepreciationMethod` — Default depreciation method
  - `default_salvage_percent` (integer) — Default salvage value as percentage of cost
  - `id` (string · required) — Category ID
  - `asset_ledger_id` (string) — Ledger account for asset cost
  - `depreciation_expense_ledger_id` (string) — Ledger account for depreciation expense
  - `accumulated_depreciation_ledger_id` (string) — Ledger account for accumulated depreciation
  - `asset_count` (integer) — Number of assets in this category
  - `created_at` (string · date-time · required) — Record creation timestamp
  - `updated_at` (string · date-time · required) — Last update timestamp
- `count` (integer · required) — Total number of categories

### 422 — Validation Error

Schema: `HTTPValidationError`

- `detail` (array · ValidationError) → `ValidationError`
  - `loc` (array · string | integer · required)
  - `msg` (string · required)
  - `type` (string · required)
  - `input` (object)
  - `ctx` (object)

## Code samples

### cURL

```bash
curl -X GET 'https://api.ondayzero.com/api/v1/fixed-assets/categories' \
  -H 'Authorization: Bearer dz_your_token' \
  -H 'x-business-id: YOUR_BUSINESS_ID'
```

### JavaScript

```javascript
const response = await fetch('https://api.ondayzero.com/api/v1/fixed-assets/categories', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer dz_your_token',
    'x-business-id': 'YOUR_BUSINESS_ID',
  },
});
const data = await response.json();
```

### Python

```python
import httpx

headers = {
    "Authorization": "Bearer dz_your_token",
    "x-business-id": "YOUR_BUSINESS_ID",
}

response = httpx.get("https://api.ondayzero.com/api/v1/fixed-assets/categories", headers=headers)
data = response.json()
```

## See also

- HTML version: https://www.ondayzero.com/docs/reference/fixed-assets/list-asset-categories
- OpenAPI slice: https://www.ondayzero.com/docs/reference/fixed-assets/list-asset-categories/openapi.json
- Other endpoints in **fixed-assets**: https://www.ondayzero.com/docs/reference/fixed-assets
